upgrade to 2.4

Asked by Gustavo Sverzut Barbieri on 2006-09-12

Ubuntu should move to fontconfig 2.4 since it's much faster and consumes less memory than 2.3, used now.

Question information

Language:
English Edit question
Status:
Answered
For:
Fontconfig Edit question
Assignee:
No assignee Edit question
Last query:
2006-09-12
Last reply:
2006-09-20
Yves Glodt (yglodt) said : #1

yes please

Yves Glodt (yglodt) said : #2

From the release notes: (http://www.fontconfig.org/wiki/2_2e4_20release_20notes)

"""
Fontconfig version 2.4 is API and ABI compatible with the 2.3 release, although some significant internal restructuring has occurred.

Major changes from the 2.3 series:
Shared mmap'ed cache files. All font cache files are mapped read-only and shared across multiple processes.
Startup performance and memory footprint of the library have, as a result, been significantly improved.
...
"""

Note that 2.4.1 is already available.

Can you help with this problem?

Provide an answer of your own, or ask Gustavo Sverzut Barbieri for more information if necessary.

To post a message you must log in.